const option = {
  tooltip: {
    // 提示框
    trigger: 'item',
    formatter: '{a} <br/>{b}: {c} ({d}%)'
  },
  legend: {
    // 图例
    show: true, // iLegendIsShow
    orient: 'vertical', // iLegendOrientation 图例铺放方式 1水平 2垂直
    x: 'left', // 图例左边的距离
    data: ['直接访问', '邮件营销', '联盟广告', '视频广告', '搜索引擎'] //
  },
  series: [
    {
      name: '访问来源',
      type: 'pie',
      radius: ['50%', '70%'],
      avoidLabelOverlap: false,
      label: {
        normal: {
          show: false,
          position: 'center'
        },
        emphasis: {
          // 高亮
          show: true,
          textStyle: {
            fontSize: '30',
            fontWeight: 'bold'
          }
        }
      },
      labelLine: {
        normal: {
          show: true
        }
      },
      data: [
        //
        {
          value: 335,
          name: '直接访问'
        },
        {
          value: 310,
          name: '邮件营销'
        },
        {
          value: 234,
          name: '联盟广告'
        },
        {
          value: 135,
          name: '视频广告'
        },
        {
          value: 1548,
          name: '搜索引擎'
        }
      ]
    }
  ]
}
export default option
